package Test;

import javax.swing.JButton;

import java.awt.Color;
import java.awt.Font;


public class CustomJButton extends JButton {
    private int fontSize = 12;
    private Font font = new Font("Arial", Font.PLAIN, 12);
    private Color color = Color.BLACK;

    /**
     * @param text texte affiché dans le bouton
     * @param fontSize taille du texte
     */
    public CustomJButton(String text, int fontSize) {
        super(text);
        init();
        this.fontSize = fontSize;
        this.font = new Font("Arial", Font.PLAIN, this.fontSize);
    }

    /**
    * @param text texte affiché dans le bouton
    * @param c couleur du bouton
    */
    public CustomJButton(String text, Color c) {
        super(text);
        this.font = new Font("Arial", Font.PLAIN, 12);
        this.color = c;
        this.init();
    }

    /**
     * @param text texte affiché dans le bouton
     * @param font police du texte
     */
    public CustomJButton(String text, Font font) {
        super(text);
        this.font = font;
        this.init();
    }

    /**
     * @param text texte affiché dans le bouton
     * @param font police du texte
     */
    public CustomJButton(String text, Font font, Color c) {
        super(text);
        this.color = Color.BLACK;
        this.font = font;
        this.init();
    }

    /**
    * @param text texte affiché dans le bouton
    */
    public CustomJButton(String text) {
        super(text);
        this.font = new Font("Arial", Font.PLAIN, 12);
        this.color = Color.BLACK;
        this.init();
    }


    private void init() {
        this.setForeground(Color.WHITE);
        this.setBackground(this.color);
        this.setFont(this.font);
        this.setFocusPainted(false);
        this.setContentAreaFilled(true);
    }
}
